<?php

/**
 * Maps
 *
 * @package Morfy
 * @subpackage Plugins
 * @author xxwebplus http://xxwebplus.eu
 * @copyright 2015 xxwebplus http://xxwebplus.eu
 * @version 1.0.0
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

// Add css on head
Action::add('theme_header', function () {
    echo('<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>');
});

// Add javascript on footer
Action::add('theme_footer', function () {
    echo('<script rel="javascript">
		/*==========  Map  ==========*/
		var map;
		function initialize_map() {
			if ($("#map").length) {
			  var myLatLng = new google.maps.LatLng(lat,lng);
			  var mapOptions = {
				zoom: 6,
				center: myLatLng,
				scrollwheel: false,
				panControl: false,
				zoomControl: true,
				scaleControl: false,
				mapTypeControl: false,
				streetViewControl: false
			  };
			  map = new google.maps.Map(document.getElementById("map"), mapOptions);
			  var marker = new google.maps.Marker({
				position: myLatLng,
				map: map,

			  });
			} else {
			  return false;
			}
		}
		google.maps.event.addDomListener(window, "load", initialize_map);
	</script>');
});

// Add template {maps(['lat'=>'37.984062','lng'=>'23.728113','height'=>'400px'])}
// Add Shortcode {maps lat="37.984062" lng="23.728113" height="400px"}
Shortcode::add('maps', 'maps');

function maps($attributes)
{

    // Extract
    extract($attributes);

    //  lat
    if (isset($lat)) {
        $lat = $lat;
    } else {
        $lat = "";
    }

    // lng
    if (isset($lng)) {
        $lng = $lng;
    } else {
        $lng = "";
    }

    // Height
    if (isset($height)) {
        $height = $height;
    } else {
        $height = "400";
    }

    $template = Template::factory(PLUGINS_PATH . '/maps/templates/');

    // Set template option: strip = true to prevent markdown LINES AUTO FORMATING
    $template->setOptions(["strip" => false]);

    return $template->fetch(
        'maps.tpl', [
            'lat'   => $lat,
            'lng'  => $lng,
            'height'  => $height
        ]
    );
}
